# $Revision: 1.92 $, $Date: 2012/02/26 07:44:03 $
Summary:	Task Coach - simple open source todo manager to manage personal tasks and todo lists
Summary(hu.UTF-8):	Task Coach egy egyszerű, nyílt forráskódú teendő-nyilvántartó
Summary(pl.UTF-8):	Task Coach - prosty zarządca osobistej listy zadań i rzeczy do zrobienia
Name:		taskcoach
Version:	1.3.8
Release:	1
Epoch:		1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/taskcoach/TaskCoach-%{version}.tar.gz
# Source0-md5:	6453b5451eefd46bc3b1a42c4ecb4c0f
Patch0:		%{name}-desktop.patch
URL:		http://www.taskcoach.org/
BuildRequires:	python-devel
BuildRequires:	python-wxPython-devel
BuildRequires:	rpm-pythonprov
Requires:	python-wxPython
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Task Coach is a simple open source todo manager to manage personal
tasks and todo lists. Task Coach currently has the following features:

- Creating, editing, and deleting tasks and subtasks.
- Tasks have a subject, description, priority, start date, due date, a
  completion date and an optional reminder. Tasks can recur on a daily,
  weekly or monthly basis.
- Tasks can be viewed as a list or as a tree.
- Tasks can be sorted by all task attributes, e.g. subject, budget,
  budget left, due date, etc.
- Several filters to e.g. hide completed tasks or view only tasks that
  are due today.
- Tasks can be created by dragging an e-mail message from Outlook or
  Thunderbird onto a task viewer.
- Attachments can be added to tasks, notes, and categories by dragging
  and dropping files, e-mail messages from Outlook or Thunderbird, or
  URL's onto a task, note or category.
- Task status depends on its subtask and vice versa. E.g. if you mark
  the last uncompleted subtask as completed, the parent task is
  automatically marked as completed too.
- Tasks and notes can be assigned to user-defined categories.
- Settings are persistent and saved automatically. The last opened
  file is loaded automatically when starting Task Coach.
- Tracking time spent on tasks. Tasks can have a budget. Time spent
  can be viewed by individual effort period, by day, by week, and by
  month.
- The Task Coach file format (.tsk) is XML.
- Tasks, notes, effort, and categories can be exported to HTML and CSV
  (Comma separated format). Effort can be exported to iCalendar/ICS
  format as well.
- Tasks, effort, notes, and categories can be printed. When printing,
  Task Coach prints the information that is visible in the current view,
  including any filters and sort order.
- Task Coach can be run from a removable medium.
- Tasks and notes can be synchronized via a Funambol server such as
  ScheduleWorld.

%description -l hu.UTF-8
Task Coach egy egyszerű, nyílt forráskódú teendő-nyilvántartó.
Jelenleg a következő lehetőségei vannak:
- Feladatok és alfeladatok létrehozása, szerkesztése és törlése
- A feladatoknak címük, leírásuk, fontosságuk, kezdő, lejárati és
  bejezési idejük van és esetleg figyelmeztetés is. Lehet napi, heti
  vagy havi rendszerességgel is.
- A feladatokat listaként vagy faként is megnézheted
- A feladatokat sorbarendezheted tulajdonságuk szerint, pl. cím,
  költségvetés, lejárati idő, stb. szerint.
- Néhány szűrőt is használhatsz, pl. a befejezett feladatokat
  elrejtheted, vagy csak a ma esedékeseket láthatod.
- E-mailből is készíthetsz feladatot (Outlook vagy Thunderbird)
- Csatolmányokat is társíthatsz feladatokhoz, megjegyzéseket.
- A feladat állapota függ az alfeladatitól és vissza is.
- Felhasználói kategóriák létrehozása
- Beállítások végérvényesek és automatikusan elmentdőnek. Az utoljára
  megnyitott fájl nyílik meg legközelebb.
- A feladatokkal töltött idő követése, költségvetés létrehozása.
- A fájlformátum XML.
- HTML-be, CSV-be, iCalendar/ICS formátumokba exportálás.
- Nyomtatási lehetőség.
- Cserélhető adathordozóról is lehet futtatni.
- Funambol szerverről szinkronizálhatók.

%description -l pl.UTF-8
Task Coach to prosty, mający otwarte źródła zarządca zadań służący do
zarządzania osobistymi listami zadań i rzeczy do zrobienia (todo).
Aktualnie ma on następujące cechy:

- Możliwe jest tworzenie, edycja i usuwanie zadań i podzadań.
- Zadania mają temat, opis, priorytet, datę rozpoczęcia, datę
  płatności, datę ukończenia i opcjonalne przypomnienie; zadania mogą
  powtarzać się w cyklu dziennym, tygodniowym lub miesięcznym.
- Zadania mogą być oglądane jako lista lub drzewo.
- Zadania mogą być sortowane po wszystkich atrybutach, np. temacie,
  budżecie, pozostałym budżecie, dacie płatności itd.
- Istnieją różne filtry, pozwalające np. ukryć zadania ukończone lub
  oglądać tylko zadania płatne dzisiaj.
- Zadania można tworzyć przeciągając wiadomość e-mail z Outlooka lub
  Thunderbirda na przeglądarkę zadań.
- Można dodawać załączniki do zadań, notatek i kategorii poprzez
  przeciągnięcie i upuszczenie plików, wiadomości e-mail z Outlooka lub
  Thunderbirda albo URL-i na zadanie, notatkę lub kategorię.
- Status zadania zależy od podzadań i na odwrót. Np. jeśli zaznaczymy
  ostatnie niedokończone podzadanie jako zakończone, nadrzędne zadanie
  automatycznie zostanie zaznaczone jako także zakończone.
- Zadania i notatki mogą być przypisywane do kategorii zdefiniowanych
  przez użytkownika.
- Ustawienia są trwałe i zapisywane automatycznie. Ostatni otwarty
  plik jest wczytywany automatycznie po uruchomieniu Task Coacha.
- Możliwe jest śledzenie czasu spędzanego nad zadaniami. Zadania mogą
  mieć budżet. Spędzony czas można oglądać dla własnego okresu badań
  oraz dla dni, tygodni i miesięcy.
- Formatem plików Task Coucha jest XML.
- Zadania, notatki, badania i kategorie mogą być eksportowane do
  formatów HTML i CSV; próby można eksportować także do formatu
  iCalendar/ICS.
- Zadania, badania, notatki i kategorie można drukować; przy
  drukowaniu Task Coach drukuje informacje widoczne w bieżącym widoku z
  uwzględnieniem filtrów i kolejności sortowania.
- Task Coach może być uruchamiany z nośnika wymiennego.
- Zadania i notatki mogą być synchronizowane poprzez serwer Funambol,
  taki jak ScheduleWorld.

%prep
%setup -q -n TaskCoach-%{version}
%patch0 -p1

%build
%{__python} setup.py build --executable /usr/bin/python

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root $RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/taskcoach{.py,}

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/buildlib

install -d $RPM_BUILD_ROOT%{_iconsdir}
install icons.in/taskcoach.png $RPM_BUILD_ROOT%{_iconsdir}

install -d $RPM_BUILD_ROOT%{_desktopdir}
install build.in/fedora/taskcoach.desktop $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HACKING.txt INSTALL.txt PUBLICITY.txt README.txt TODO.tsk
%attr(755,root,root) %{_bindir}/taskcoach*
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/TaskCoach-%{version}-py*.egg-info
%endif
%dir %{py_sitescriptdir}/taskcoachlib
%{py_sitescriptdir}/taskcoachlib/*
%{_iconsdir}/taskcoach.png
%{_desktopdir}/taskcoach.desktop

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: taskcoach.spec,v $
Revision 1.92  2012/02/26 07:44:03  uzsolt
- 1.3.8

Revision 1.91  2012/02/05 18:53:13  uzsolt
- 1.3.7

Revision 1.90  2012/01/25 11:46:19  uzsolt
- 1.3.6

Revision 1.89  2012/01/23 10:45:39  uzsolt
- 1.3.5

Revision 1.88  2011/12/26 12:53:16  uzsolt
- 1.3.4

Revision 1.87  2011/12/14 13:46:19  uzsolt
- 1.3.3

Revision 1.86  2011/12/06 06:23:35  uzsolt
- 1.3.2

Revision 1.85  2011/11/28 13:49:07  uzsolt
- 1.3.1

Revision 1.84  2011/11/21 09:21:38  uzsolt
- 1.3.30

Revision 1.83  2011/11/14 11:40:59  uzsolt
- 1.2.31

Revision 1.82  2011/10/24 11:30:01  uzsolt
- 1.2.30

Revision 1.81  2011/10/04 04:46:28  uzsolt
- 1.2.29

Revision 1.80  2011/09/19 06:57:03  uzsolt
- 1.2.28

Revision 1.79  2011/08/28 17:39:07  uzsolt
- 1.2.27

Revision 1.78  2011/08/21 18:10:04  uzsolt
- 1.2.26

Revision 1.77  2011/08/17 09:43:11  uzsolt
- 1.2.25

Revision 1.76  2011/07/18 09:01:33  uzsolt
- 1.2.24

Revision 1.75  2011/07/07 21:07:03  lisu
- 1.2.23

Revision 1.74  2011/07/03 12:31:07  uzsolt
- 1.2.22

Revision 1.73  2011/06/26 12:11:31  uzsolt
- 1.2.21

Revision 1.72  2011/06/10 22:18:58  uzsolt
- 1.2.20

Revision 1.71  2011/05/30 12:31:22  uzsolt
- 1.2.19

Revision 1.70  2011/05/23 07:23:55  uzsolt
- 1.2.18
- rel 1
- does not segfault as 1.2.17 (see http://sourceforge.net/tracker/index.php?func=detail&aid=3300643&group_id=130831&atid=719134 )

Revision 1.69  2011/05/13 08:05:14  uzsolt
- rel 2

Revision 1.68  2011/05/13 05:54:18  uzsolt
- back to 1.2.16 (1.2.17 segfaults)
- epoch 1

Revision 1.67  2011/05/06 08:10:36  uzsolt
- 1.2.17

Revision 1.66  2011/04/29 07:11:57  uzsolt
- 1.2.16

Revision 1.65  2011/04/27 11:42:46  lisu
- 1.2.15

Revision 1.64  2011/04/18 06:19:13  uzsolt
- 1.2.14

Revision 1.63  2011/03/22 10:34:53  uzsolt
- 1.2.12

Revision 1.62  2011/03/11 07:45:14  uzsolt
- 1.2.11

Revision 1.61  2011/02/21 07:48:32  uzsolt
- 1.2.10

Revision 1.60  2011/02/06 13:27:56  lisu
- 1.2.9

Revision 1.59  2011/02/01 23:14:48  uzsolt
- 1.2.8

Revision 1.58  2011/01/10 21:35:56  uzsolt
- 1.2.7

Revision 1.57  2010/12/06 09:48:00  uzsolt
- 1.2.6

Revision 1.56  2010/12/02 09:14:05  lisu
- up to 1.2.5

Revision 1.55  2010/11/23 08:50:28  lisu
- up to 1.2.4

Revision 1.54  2010/11/15 12:39:26  lisu
- build as noarch
- python version specific egg-info

Revision 1.53  2010/11/15 12:35:29  lisu
- updated to 1.2.3
- pl fix

Revision 1.52  2010/11/09 13:31:23  uzsolt
- 1.2.2

Revision 1.51  2010/10/23 10:24:32  uzsolt
- 1.2.1

Revision 1.50  2010/10/10 11:11:00  uzsolt
- 1.2.0

Revision 1.49  2010/10/06 22:17:12  uzsolt
- 1.1.4

Revision 1.48  2010/09/12 15:28:17  uzsolt
- 1.1.3

Revision 1.47  2010/09/03 16:07:35  uzsolt
- 1.1.2

Revision 1.46  2010/08/27 10:08:51  uzsolt
- 1.1.1

Revision 1.45  2010/08/21 09:24:27  uzsolt
- 1.1.0

Revision 1.44  2010/08/16 03:15:50  uzsolt
- 1.0.10

Revision 1.43  2010/08/15 13:49:55  uzsolt
- 1.0.9
- rel 1

Revision 1.42  2010/07/08 08:48:11  arekm
- release 2

Revision 1.41  2010/06/09 05:30:15  uzsolt
- 1.0.5

Revision 1.40  2010/05/31 05:45:44  uzsolt
- 1.0.4

Revision 1.39  2010/04/28 17:19:46  uzsolt
- 1.0.3

Revision 1.38  2010/04/11 09:59:32  uzsolt
- 1.0.2

Revision 1.37  2010/03/23 22:18:13  uzsolt
- 1.0.0

Revision 1.36  2010/03/07 10:45:33  uzsolt
- 0.78.4

Revision 1.35  2010/02/08 17:47:28  uzsolt
- 0.78.3

Revision 1.34  2010/01/11 16:18:24  uzsolt
- 0.78.0
- remove ppc-specific things

Revision 1.33  2009/12/17 22:03:34  uzsolt
- 0.77.0

Revision 1.32  2009/11/14 10:14:19  uzsolt
- 0.76.1

Revision 1.31  2009/11/07 21:38:57  uzsolt
- 0.76.0

Revision 1.30  2009/10/30 09:04:16  uzsolt
- fix prev commit log

Revision 1.29  2009/10/30 08:57:09  uzsolt
- 0.75.0

Revision 1.28  2009/10/18 06:36:46  uzsolt
- 0.74.4

Revision 1.27  2009/10/04 18:01:59  uzsolt
- 0.74.3

Revision 1.26  2009/09/27 09:37:23  uzsolt
- 0.74.2

Revision 1.25  2009/09/07 14:35:54  uzsolt
- taskcoach.desktop patch
- rel 3

Revision 1.24  2009/09/03 13:58:34  uzsolt
- desktop files (taskcoach.desktop and taskcoach.png)
- rel 2

Revision 1.23  2009/08/23 08:10:09  uzsolt
- 0.74.1

Revision 1.22  2009/08/17 09:45:16  uzsolt
- 0.74.0

Revision 1.21  2009/08/06 23:03:21  uzsolt
- 0.73.4

Revision 1.20  2009/08/03 07:05:18  uzsolt
- 0.73.3

Revision 1.19  2009/07/09 14:52:46  uzsolt
- 0.73.2
- change %doc

Revision 1.18  2009/06/26 19:52:54  uzsolt
- 0.73.1

Revision 1.17  2009/06/13 08:23:47  uzsolt
- 0.73.10

Revision 1.16  2009/06/10 14:40:34  uzsolt
- 0.72.10

Revision 1.15  2009/05/30 15:20:32  uzsolt
- 0.72.9

Revision 1.14  2009/05/18 15:37:15  uzsolt
- GPL3 license

Revision 1.13  2009/05/18 15:35:09  uzsolt
- up to 0.72.8
- please test on x86_64

Revision 1.12  2009/05/15 17:55:10  uzsolt
- ifarch ppc (I hope this fixes ppc build problem)
- add "--executable /usr/bin/python" option so doesn't need sed

Revision 1.11  2009/05/11 15:38:46  uzsolt
- 0.72.7

Revision 1.10  2009/05/09 11:41:19  uzsolt
- 0.72.6
- BR python-devel
- remove versioning from /usr/bin/python (in taskcoach.py)

Revision 1.9  2009/04/07 15:46:30  uzsolt
- 0.72.5

Revision 1.8  2009/03/12 14:56:10  uzsolt
- 0.72.2

Revision 1.7  2009/02/18 16:04:06  uzsolt
- todo
- rel 1.1

Revision 1.6  2009/02/15 15:25:04  uzsolt
- 0.72.1

Revision 1.5  2009/02/11 15:57:30  uzsolt
- rel 1 (it works for me)

Revision 1.4  2009/02/03 19:43:22  qboosh
- pl
- BR: pythonprov
- don't hardcode python version

Revision 1.3  2009/01/31 14:03:15  uzsolt
- up to 0.72.0
- fix Group
- fix %files section

Revision 1.2  2009/01/20 19:18:17  uzsolt
- fix URL
- verbose hungarian description

Revision 1.1  2009/01/20 18:14:44  uzsolt
- initial
